#include<bits/stdc++.h>
using namespace std;
int main() {
    int N;
    double Ai, Pi, Fp, zbir=0 , K ,U;
    cin>>N;
    Fp=77.32;
    for(int i=1;i<=N;i++){
        cin>>Ai>>Pi;
        zbir+=Ai;
        if(Pi<Fp){
            continue;
        }
         K=zbir*(Fp/100); 
    }
    U+=K;
    cout<<U<<endl;
    return 0;
}